package com.example.ellegadodepintia.exploradoresDePintia.model.efecto

import android.content.Intent
import com.example.ellegadodepintia.exploradoresDePintia.model.GameState
import com.example.ellegadodepintia.exploradoresDePintia.model.GameState.context
import com.example.ellegadodepintia.minijuego1.InicioMinijuego1



class EfectoUtilizarObjetoUtil(private val nombreObjeto: String) : Efecto(100) {
    override fun ejecutar(): String {
        val tieneObjeto = GameState.jugador.inventario.removeIf { it.nombre == nombreObjeto }
        if (tieneObjeto){
            if (nombreObjeto == "Pala Vaccea"){
                val intent = Intent(context, InicioMinijuego1::class.java)
                context!!.startActivity(intent)
                GameState.eventoActual.actualizarFinalizado(true)
                return "¡Has obtenido un objeto de coste equivalente a los puntos que has obtenido! Echa un vistazo a tu inventario"
            }else{
                GameState.eventoActual.actualizarFinalizado(true)
                return "Has usado el objeto $nombreObjeto de tu inventario. Has logrado escapar"
            }
        }else{
            return "No tienes el $nombreObjeto en tu inventario"
        }
    }
}